| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::D3D9StereoDriverImpl Class Referenceabstract

Virtual interface of the stereo driver. More...

`#include <OgreD3D9StereoDriverImpl.h>`

Inheritance diagram for Ogre::D3D9StereoDriverImpl:
[legend]

## Public Member Functions
| D3D9StereoDriverImpl ()
virtual | ~D3D9StereoDriverImpl ()
virtual bool | addRenderWindow (D3D9RenderWindow *renderWindow)=0
virtual bool | isStereoEnabled (const String &renderWindowName)=0
virtual bool | removeRenderWindow (const String &renderWindowName)=0
virtual bool | setDrawBuffer (ColourBufferType colourBuffer)=0

## Detailed Description

Virtual interface of the stereo driver.

## Constructor & Destructor Documentation

## ◆ D3D9StereoDriverImpl()

Ogre::D3D9StereoDriverImpl::D3D9StereoDriverImpl | ( |  | ) |
| inline

## ◆ ~D3D9StereoDriverImpl()

virtual Ogre::D3D9StereoDriverImpl::~D3D9StereoDriverImpl | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ addRenderWindow()

virtual bool Ogre::D3D9StereoDriverImpl::addRenderWindow | ( | D3D9RenderWindow * | renderWindow | ) |
| pure virtual

Implemented in Ogre::D3D9StereoDriverAMD, and Ogre::D3D9StereoDriverNVIDIA.

## ◆ removeRenderWindow()

virtual bool Ogre::D3D9StereoDriverImpl::removeRenderWindow | ( | const String & | renderWindowName | ) |
| pure virtual

Implemented in Ogre::D3D9StereoDriverAMD, and Ogre::D3D9StereoDriverNVIDIA.

## ◆ isStereoEnabled()

virtual bool Ogre::D3D9StereoDriverImpl::isStereoEnabled | ( | const String & | renderWindowName | ) |
| pure virtual

Implemented in Ogre::D3D9StereoDriverAMD, and Ogre::D3D9StereoDriverNVIDIA.

## ◆ setDrawBuffer()

virtual bool Ogre::D3D9StereoDriverImpl::setDrawBuffer | ( | ColourBufferType | colourBuffer | ) |
| pure virtual

Implemented in Ogre::D3D9StereoDriverAMD, and Ogre::D3D9StereoDriverNVIDIA.

The documentation for this class was generated from the following file:

- OgreD3D9StereoDriverImpl.h